/*
Copyright [2020] [https://www.xiaonuo.vip]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：

1.请不要删除和修改根目录下的LICENSE文件。
2.请不要删除和修改Snowy源码头部的版权声明。
3.请保留源码和相关描述文件的项目出处，作者声明等。
4.分发源码时候，请注明软件出处 https://gitee.com/xiaonuobase/snowy
5.在修改包名，模块名称，项目代码等时，请注明软件出处 https://gitee.com/xiaonuobase/snowy
6.若您的项目无法满足以上几点，可申请商业授权，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.huimv.modular.basepigpen.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.sql.Date;

/**
 * 栋舍表
 *
 * @author yinhao
 * @date 2021-08-17 14:00:42
 */
@Data
@TableName("base_pigpen")
public class BasePigpen {

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 栋舍名称
     */
    private String pigpenName;

    /**
     * 上级id
     */
    private Integer parentId;

    /**
     * 1.猪舍 2.单元
     */
    private Integer type;

    /**
     * 牧场编号
     */
    private String farmCode;

    /**
     * 猪舍温度
     */
    private Double pigpenTemp;

    /**
     * 异常状态  1.正常 0.异常
     */
    private Integer tempAnomaly;

    /**
     * 备注:没有用
     */
    private Object children;

    /**
     * 阶段
     */
    private Integer stage;

    /**
     * 创建时间
     */

    @JsonFormat()
    private Date creatTime;

    /**
     * 组织id
     */
    private Long orgId;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPigpenName() {
        return pigpenName;
    }

    public void setPigpenName(String pigpenName) {
        this.pigpenName = pigpenName;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getFarmCode() {
        return farmCode;
    }

    public void setFarmCode(String farmCode) {
        this.farmCode = farmCode;
    }

    public Double getPigpenTemp() {
        return pigpenTemp;
    }

    public void setPigpenTemp(Double pigpenTemp) {
        this.pigpenTemp = pigpenTemp;
    }

    public Integer getTempAnomaly() {
        return tempAnomaly;
    }

    public void setTempAnomaly(Integer tempAnomaly) {
        this.tempAnomaly = tempAnomaly;
    }

    public Object getChildren() {
        return children;
    }

    public void setChildren(Object children) {
        this.children = children;
    }

    public Integer getStage() {
        return stage;
    }

    public void setStage(Integer stage) {
        this.stage = stage;
    }

    public Date getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(Date creatTime) {
        this.creatTime = creatTime;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }


}
